Package ghidra.app.cmd.label

# Class DemanglerCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand<Program>
ghidra.app.cmd.label.DemanglerCmd

All Implemented Interfaces:
  `Command<Program>`

public class DemanglerCmd extends BackgroundCommand<Program>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DemanglerCmd(Address addr, String mangled)`
  `DemanglerCmd(Address addr, String mangled, DemanglerOptions options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program prog, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.
  `DemangledObject`
  `getDemangledObject()`
  `String`
  `getResult()`

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, run, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DemanglerCmd

    public DemanglerCmd(Address addr, String mangled)

  - ### DemanglerCmd

    public DemanglerCmd(Address addr, String mangled, DemanglerOptions options)

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program prog, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand<Program>`
    Parameters:
      `prog` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully

  - ### getResult

    public String getResult()

  - ### getDemangledObject

    public DemangledObject getDemangledObject()